Description

Normaly the rel attribute is used (imho not the best way, but doesn't matter here) for grouping images that should be show in a
lightbox

The "old" "css_styled_content" works with this TypoScript:
tt_content.image.20.1l.imagelLinkWrap.linkParams.ATagParams.dataWrap = class="lightbox" rel="lightbo
x{field:uid}"}]"

The field:uid contains the UID from the TCE, so all images get the same uid by the TCE

Now this contains "fluid_styled_content":

lib.fluidContent.settings.media.popup.linkParams.ATagParams.dataWrap = class="lightbox" rel="light
box[{field:uid} 1"

at the first look it should be the same, but the field:uid contains the page id, so all images at on page get the same id and grouping
the images is impossible.

Im not sure, but it should be somthing like this:

lib.fluidContent.settings.media.popup.linkParams.ATagParams.dataWrap = class="lightbox" rel="light
box[{data:uid}]"

At the long term: to use the data attribute like 'data-lightbox’ is imho the better way to get a relation between the images, the rel
attribute is for logical relations.

Related issues:
Has duplicate TYPO3 Core - Bug #75408: Lightbox rel="" attribute pointing to ... Closed 2016-04-05

History

#1 - 2016-03-01 20:04 - Wouter Wolters
- Status changed from New to Accepted

- Assignee deleted (Benni Mack)

Confirmed.

#2 - 2016-04-05 11:09 - Teamgeist Medien
SOLUTION
Bind a "current" argument to the ViewHelper to provide the ContentObject UID.

In ClickEnlargeViewHelper.php

Add
Sthis->registerArgument ('current', 'integer', 'The Content Object UID', false);
To the initializeArguments() function.
Then add this to the renderStatic() function:
if (isset (Sarguments['current'])) {
self::getContentObjectRenderer () ->setCurrentVal ($Sarguments|'current']);
}
Now call the ViewHelper like this:
<ce:link.clickEnlarge image="{column.media}" configuration="{settings.media.popup}" current="{data.uid}">
And change the constant to lightbox[{current}]

#3 - 2016-04-05 11:16 - Teamgeist Medien

Sorry I'm not familiar with Gerrit, yet. Hope someone else can push this to Gerrit...
The argument "current" in the ViewHelper maybe also should be renamed to "contentObjectUid"

#4 - 2016-05-30 16:41 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/48406

#5 - 2016-05-30 17:02 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0org/48406

#6 - 2016-05-30 18:10 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/48406

#7 - 2016-06-07 16:56 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/48406

#8 - 2016-06-07 17:32 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0org/48406

#9 - 2017-03-05 10:43 - Torben Hansen

The problem still exists in the current master branch. IMO the problem should be fixed for 8.7 LTS, since grouping of lightbox images is currently
broken in Fluid Styled Content. The existing patch contains breaking changes, so maybe it is better to fix the bug with non-breaking changes.

#10 - 2017-05-14 12:55 - Dirk Klimpel

Is it real a bug of "fluid_styled_content"? And not a bug of fluid?
With "field:uid" | should get the id of the content element. But i get the id of the page.

| get the following results:

"field:uid" - id of the page, should get the id of the element
"field:pid" - id of the parent page, should get the id of the page
"field:header" - nothing, should get the headline

"page:uid" - id of the page - right

"page:pid" - id of the parent page - right

"page:title" - page title - right

#11 - 2017-07-27 12:48 - Philipp Kitzberger
TypoScript to the rescue! Here's a workaround for TYPOS3 8.7:

lib.contentElement.variables.10 = LOAD_REGISTER

lib.contentElement.variables.10.content_uid = TEXT

lib.contentElement.variables.10.content_uid.field = uid
lib.contentElement.settings.media.popup.linkParams.ATagParams.dataWrap = class="{S$styles.content.textmedia.lin
kWrap.lightboxCssClass}" rel="{S$styles.content.textmedia.linkWrap.lightboxRelAttribute} [{register:content_uid}
] n

lib.contentElement.stdWrap.append = RESTORE_REGISTER

#12 - 2017-11-24 22:28 - Benni Mack

- Sprint Focus set to On Location Sprint

#13 - 2017-11-28 13:47 - Benjamin Kott

- Status changed from Under Review to Rejected

This patch is highly breaking for everyone relying on this, since there is no universal implementation for this and its always relying on JavaScript in the
end i will abandon this patchset as there is no real benefit, and only may work in one specific usecase.

For reference and example how to make your implementation work, please see implementation of the bootstrap_package
https://github.com/benjaminkott/bootstrap package/blob/master/Resources/Private/Partials/ContentElements/Media/Type/Image.html#L10-L19

#14 - 2018-01-29 16:02 - Dirk Klimpel

The solution is:

lib.fluidContent.settings.media.popup.linkParams.ATagParams.dataWrap = class="lightbox" rel="lightbox[{file:cu
rrent:uid_foreign}]"

{file:current:uid_foreign} gives the id of content element.

See also: https:/forum.typo3.org/index.php?t=rview&goto=753239#msg_753239
